#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offst: 4 -*-

group = "agents/" + _("Agent Plugins")

register_rule(group,
    "agent_config:check_altaro",
    Alternative(
        title = _("Check Altaro"),
        help = _("This plugin will deploy the check_altaro.ps1 on Windows"),
        style = "dropdown",
        elements = [
            Dictionary(
                title = _("Deploy the check_altaro.ps1 plugin"),
                elements = [
                    ("Username", TextAscii(
                        title = _("Altaro Username"),
                        default_value = "",
                    )),
                    ("Password", TextAscii(
                        title = _("Altaro Password"),
                        default_value = "",
                    )),
                    ("Domain", TextAscii(
                        title = _("Altaro Domain"),
                        default_value = "",
                    )),
                    ("Server", TextAscii(
                        title = _("Altaro Server"),
                        default_value = "LOCALHOST",
                    )),
                    ("Port", TextAscii(
                        title = _("Altaro Port"),
                        default_value = "35107",
                    )),
                    ("ServiceURI", TextAscii(
                        title = _("Altaro ServiceURI"),
                        default_value = "https://localhost:35113/api",
                    )),
                ],
            ),
            FixedValue(None, title = _("Do not deploy the check_altaro.ps1 plugin."), totext = _("(disabled)") ),
        ]
    )
)

